<div>
  <form class="form" [formGroup]="databaseForm" (submit)="save()">
    <mat-form-field appearance="fill">
      <mat-label>Database Name</mat-label>
      <input formControlName="name" matInput />
    </mat-form-field>
    <button mat-raised-button class="actionBtn" color="primary">Save</button>
    <button
      type="button"
      *ngIf="database"
      mat-flat-button
      class="actionBtn"
      color="warn"
      (click)="delete()"
    >
      Delete
    </button>
  </form>
  <hr />
  <h2>Tables</h2>
  <mat-selection-list class="list" #dbs [multiple]="false">
    <button mat-flat-button color="primary" (click)="openTable(databaseName)">
      <mat-icon>add</mat-icon>Create table
    </button>
    <mat-list-option
      *ngFor="let table of tables"
      [value]="table.name"
      (click)="openTable(databaseName, table.name)"
    >
      {{ table.name }}
    </mat-list-option>
  </mat-selection-list>
</div>
